### Function

# Dex output_stream_write

unstable since: 1

#### Declaration [src]

    DexFuture*
    dex_output_stream_write (
      GOutputStream* self,
      gconstpointer buffer,
      gsize count,
      int io_priority
    )

#### Description

No description available.

Available since: 1

#### Parameters

`self`

  Type: `GOutputStream`

  No description available.

  The data is owned by the caller of the function.

`buffer`

  Type: `gconstpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`count`

  Type: `gsize`

  No description available.

`io_priority`

  Type: `int`

  No description available.

#### Return value

Type: `DexFuture`

A `DexFuture`.

The caller of the function takes ownership of the data, and is responsible for freeing it.